Welcome, Guest. Please login or register.
April 19, 2014, 01:15:17 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Configuring Pardus
| | |-+  Problem with package manager updating and installing packages
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: Problem with package manager updating and installing packages  (Read 914 times)
Hastings101
Newbie
*
Gender: Male
Posts: 16



View Profile
« on: January 12, 2010, 02:45:11 AM »

I've recently installed Pardus 2009 and get the following error message when trying to update Pardus packages or install a new package:



check_timestamp regets are not implemented in this ver of urlgrabber. Please report this.

           

          I've looked around the forums but was unable to find anyone with a similar problem.  I tried using pisi clean and rebuilding the database but neither of those had any effect.  Any help with my issue would be greatly appreciated.
Logged
kalwisti
Pardus fellow craft
**
Gender: Male
Posts: 131



View Profile
« Reply #1 on: January 12, 2010, 04:28:10 AM »

Hi, Hastings101,

I too am a relative newcomer to Pardus (I've been using it about two months), so this suggestion is a guess on my part and it might not solve your problem. But did you follow the instructions below, before you attempted your very first update?

http://bit.ly/7Lxij6
"Before doing any update."
[From the Pardus 2009 Wiki]

Open System > Konsole Terminal and enter the following command:

Code:
sudo pisi up -c system.base

(Note: You only have to issue that command once, right after a new installation and before you do your first update of the system. You do not have to run the command before subsequent updates).

Another possible cause might be that you have run into the down repository problem recently reported by Andreas:

http://worldforum.pardus-linux.nl/index.php?topic=3148.0
"User-Repo down." 10 Jan. 2010.

If you're using the default Turkish repos, you might consider switching to one of the alternative repositories mentioned in this discussion thread:

http://worldforum.pardus-linux.nl/index.php?topic=2919.0
"Slow official repos?"

(I'm using the Dutch repositories and they have been working fine for me, even though I'm located in Texas).

HTH. With best wishes,
=david


Logged

Registered Linux User # 442201

Pardus 2011.2 (KDE 4.6.5, kernel 2.6.37.6)

AMD Athlon II X2 240 (Regor) 2.8 GHz, 4 GB RAM, Seagate Barracuda 320 GB HD, Nvidia GeForce 6150SE nForce 430 integrated GPU, Samsung SH-S222L DVD-RW
Hastings101
Newbie
*
Gender: Male
Posts: 16



View Profile
« Reply #2 on: January 12, 2010, 04:44:31 AM »

 I never knew about that command and after using it everything seems to be running fine.  I also switched my repos just incase.  Thanks for the help!
Logged
kalwisti
Pardus fellow craft
**
Gender: Male
Posts: 131



View Profile
« Reply #3 on: January 12, 2010, 05:57:52 AM »

You're very welcome; I'm glad that worked for you. I wouldn't have known about the pisi up command if atolboo hadn't mentioned it when I introduced myself in this User Forum.  Smiley

Another thread you might want to take a look at discusses using PiSi's GUI vs. command line PiSi:

http://worldforum.pardus-linux.nl/index.php?topic=3090.0

I've found that using a combination of the Package Manager's GUI and the command line works well for me. There's a good section on PiSi CLI Usage in the Wiki:

http://en.pardus-wiki.org/Pisi_CLI_Usage

Good luck and I hope you'll continue enjoying Pardus!

Logged

Registered Linux User # 442201

Pardus 2011.2 (KDE 4.6.5, kernel 2.6.37.6)

AMD Athlon II X2 240 (Regor) 2.8 GHz, 4 GB RAM, Seagate Barracuda 320 GB HD, Nvidia GeForce 6150SE nForce 430 integrated GPU, Samsung SH-S222L DVD-RW
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!